## org.eclipse.jet.taglib
Class TagUtil

    java.lang.Object
      org.eclipse.jet.taglib.TagUtil

    public class TagUtil

extends java.lang.Object

Utility class with various functions useful to tag implementations

Method Summary
`static java.lang.String` `getContents(org.eclipse.core.runtime.IPath location)` Return the contents of the text file refered to by location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContents

    public static java.lang.String getContents(org.eclipse.core.runtime.IPath location)
                                        throws org.eclipse.core.runtime.CoreException

  Return the contents of the text file refered to by location.

  Parameters:
    `location` - the full file system location of the resource.
  Returns:
    the contents as a string
  Throws:
    `org.eclipse.core.runtime.CoreException` - if an error occurs while reading the file
    `java.lang.IllegalArgumentException` - if `location` does not refer to an existing workspace file.

Copyright 2006 IBM Corporation and others. All Rights Reserved.